Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.gpuflux.scene.volume
Class FluxPrimitive

    java.lang.Object
      de.grogra.gpuflux.scene.FluxObject
          de.grogra.gpuflux.scene.volume.FluxVolume
              de.grogra.gpuflux.scene.volume.FluxPrimitive

Direct Known Subclasses:
  FluxBox, FluxFrustumBase, FluxPlane, FluxPolygon, FluxSphere

    public abstract class FluxPrimitive

extends FluxVolume

Author:
  Dietger van Antwerpen

Field Summary
`protected Renderable` | `owner`
`int` | `PRIM_BOX`
`int` | `PRIM_FRUSTUM`
`int` | `PRIM_PARALLEL`
`int` | `PRIM_PLANE`
`int` | `PRIM_SPHERE`
`int` | `PRIM_TRANSFORMABLE`
`int` | `PRIM_TRIANGLE`

Fields inherited from class de.grogra.gpuflux.scene.volume.FluxVolume
`bbox`

Constructor Summary
`FluxPrimitive()`

Method Summary
`abstract void` | `getExtent(BoundingBox3d bb, Variables temp)`
`int` | `getGroupIndex()`
`protected void` | `serialize(ComputeByteBuffer out, int type, Matrix4f world2obj)`
`void` | `serialize(ComputeByteBuffer out, int type, TransformableVolume v)`
`void` | `setFluxShader(FluxShader shader)`
`void` | `setGroupIndex(int groupIndex)`
`void` | `setIOR(float currentIOR)`
`void` | `setOwner(Renderable owner)`

Methods inherited from class de.grogra.gpuflux.scene.volume.FluxVolume
`computeExtent, getBoundingBox, serialize`

Methods inherited from class de.grogra.gpuflux.scene.FluxObject
`getOffset, setOffset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### owner

    protected Renderable owner

### PRIM_BOX

    public final int PRIM_BOX

See Also:
  Constant Field Values

### PRIM_FRUSTUM

    public final int PRIM_FRUSTUM

See Also:
  Constant Field Values

### PRIM_PARALLEL

    public final int PRIM_PARALLEL

See Also:
  Constant Field Values

### PRIM_PLANE

    public final int PRIM_PLANE

See Also:
  Constant Field Values

### PRIM_SPHERE

    public final int PRIM_SPHERE

See Also:
  Constant Field Values

### PRIM_TRANSFORMABLE

    public final int PRIM_TRANSFORMABLE

See Also:
  Constant Field Values

### PRIM_TRIANGLE

    public final int PRIM_TRIANGLE

See Also:
  Constant Field Values

Constructor Detail

### FluxPrimitive

    public FluxPrimitive()

Method Detail

### getExtent

    public abstract void getExtent(BoundingBox3d bb,
                                   Variables temp)

  Specified by:
    `getExtent` in class `FluxVolume`

### getGroupIndex

    public int getGroupIndex()

### serialize

    protected void serialize(ComputeByteBuffer out,
                             int type,
                             Matrix4f world2obj)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### serialize

    public void serialize(ComputeByteBuffer out,
                          int type,
                          TransformableVolume v)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### setFluxShader

    public void setFluxShader(FluxShader shader)

### setGroupIndex

    public void setGroupIndex(int groupIndex)

### setIOR

    public void setIOR(float currentIOR)

### setOwner

    public void setOwner(Renderable owner)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD